---
title: "Motiejus Jakštys Resume"
description: "Motiejus Jakštys resume"
---

Status: [not employed from 2023-07-01]({{< ref "log/2023/7-years-at-uber"
>}}). Will take the summer off and think what to do next. Have ideas?
[Ping me]({{< ref "contact" >}}).

My resume is below, in reverse-chronological order.

## Employment

### Uber: 2016-2023

- 2022-2023: bootstrapped Uber's infrastructure on arm64 ([official blog
  post][uber-arm64]).
- 2016-2020: all kinds of OS, kernel, infrasec projects and initiatives.
- 2017-2019: grew and led Uber's First Responder team (Ring0) in EU.
- 2016: maintained [ringpop-go](https://github.com/uber/ringpop-go).

Tech: toolchains and linkers, mostly
[Go](https://github.com/golang/go/issues?q=author%3Amotiejus+) and
[Zig](https://github.com/ziglang/zig/commits?author=motiejus) on Linux x86_64
and AArch64. Also a [C++ toolchain
configuration](https://github.com/uber/hermetic_cc_toolchain/commits?author=motiejus)
in Bazel.

Locations: Amsterdam (2016), Vilnius (2017-2023).

### Amazon: 2014-2016

- Amazon WorkMail.
- Intersection between the business application and the system (and networks)
  that are running it.

Tech: Java, Linux, AWS public offerings and internal Amazon stack.

Location: The Hague, Netherlands.

### Spil Games: 2012-2014

- Backend application developer.
- Networking and Linux investigator.

Tech: Erlang, C and Linux.

Location: Hilversum, Netherlands.

### Glasgow University: 2011-2012

Linux systems and hardware administrator.

Location: Glasgow, Scotland.

### Mano Numeris: 2010-2011

Business line application developer in Erlang.

Location: Vilnius, Lithuania.

## Education

### Vilnius University: 2019-2021

MSc in Cartography.

### University of Glasgow: 2010-2013

BSc in Computing Science.

[uber-arm64]: https://www.uber.com/en-US/blog/bootstrapping-ubers-infrastructure-on-arm64-with-zig/
